package com.loafle.bridge.collector;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.util.Date;

/**
 * Created by root on 16. 11. 15.
 */

@RestController
public class CollectorController {

    @Autowired
    private CollectorRepository repository;

    @RequestMapping(value = "/collector/{productId}", method = RequestMethod.GET)
    public Collector getByProductId(@PathVariable String productId) {
        return repository.findByPID(productId);
    }

    @RequestMapping(value = "/test", method = RequestMethod.GET)
    public void test() {

        Collector c = new Collector();
        c.setVersion("1.0.0");
        c.setConfigPath("/root");
        c.setInstallDate(new Date());
        c.setUpdateDate(new Date());
        c.setLicenseDueDate(new Date());
        c.setProductId("1111111");
        repository.save(c);

    }


}
